<?php
    /*
     *      OSCLass – software for creating and publishing online classified
     *                           advertising platforms
     *
     *                        Copyright (C) 2010 OSCLASS
     *
     *       This program is free software: you can redistribute it and/or
     *     modify it under the terms of the GNU Affero General Public License
     *     as published by the Free Software Foundation, either version 3 of
     *            the License, or (at your option) any later version.
     *
     *     This program is distributed in the hope that it will be useful, but
     *         WITHOUT ANY WARRANTY; without even the implied warranty of
     *        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     *             GNU Affero General Public License for more details.
     *
     *      You should have received a copy of the GNU Affero General Public
     * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
     */

    class Payir
    {

        public function __construct()
        {
        }

        /**
        * Create and print a "Pay with Paypal" button
        *
        * @param float $amount
        * @param string $description
        * @param string $itemnumber (publish fee, premium, pack and which category)
        * @param string $extra custom variables
        */
        public static function button($amount = '0.00', $description = '', $itemnumber = '101', $extra_array = null) {
            $extra = payment_prepare_custom($extra_array);
            $extra .= 'concept,'.$description.'|';
            $extra .= 'product,'.$itemnumber.'|';
            $extra .= 'amount,'.$amount.'|';
            $r = rand(0,1000);
            $extra .= 'random,'.$r;
            echo '<li class="payment payir-btn">';
            //if(osc_get_preference('payir_enable', 'peyment')==1) {

            $action = payment_url().'payments/payir/send.php';
        ?>
            <form action="<?php echo $action; ?>" method="post" id="payir_<?php echo $r; ?>">
              <input type="hidden" name="amount" value="<?php echo $amount; ?>" />
              <input type="hidden" name="custom" value="<?php echo $extra; ?>" />
            </form>
            <div class="buttons">
              <div class="right"><a id="button-confirm" class="button" onclick="$('#payir_<?php echo $r; ?>').submit();"><span><img src='https://cdn.pay.ir/plugins/payir-osclass/img/payirbtn.png' border='0' /></span></a></div>
            </div>
        <?php
       // }

            echo '</li>';
        }

		public static function common($url, $params)
		{
			$ch = curl_init();

			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_POST, TRUE);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
			curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));

			$response = curl_exec($ch);
			$error    = curl_errno($ch);

			curl_close($ch);

			$output = $error ? FALSE : json_decode($response);

			return $output;
		}
    }
?>