<?php
define('ABS_PATH', dirname(dirname(dirname(dirname(dirname(dirname(__FILE__)))))) . '/');

require_once(ABS_PATH . 'oc-load.php');

if (isset($_GET['status']) && isset($_GET['token']) && isset($_GET['rpl'])) {

	$status        = $_GET['status'];
	$token         = $_GET['token'];
	$rpl           = $_GET['rpl'];

	$currency = osc_get_preference('currency', 'payment');

	if (isset($status) && $status == 1) {

		if (osc_get_preference('payir_demo', 'payment')) {

			$api_key = 'test';

		} else {

			$api_key = osc_get_preference('payir_api', 'payment');
		}

		

			$params = array (

				'api'     => $api_key,
				'token' => $token
			);

			$result = Payir::common('https://pay.ir/pg/verify', $params);

			$exists = ModelPayment::newInstance()->getPaymentByCode($result->transId, 'PAYIR');

			if (isset($exists['pk_i_id'])) {

				$message = 'تراكنش در گذشته با موفقیت تایید شده است';

			} else {

				if ($result && isset($result->status) && $result->status == 1) {

					$card_number = isset($result->cardNumber) ? $result->cardNumber : 'Null';

					$data = payment_get_custom($rpl);

					if (isset($data) && $data) {

						$product_type = explode('x', $data['product']);
						$amount       = $data['amount'];

						$currency = osc_get_preference('currency', 'payment');

						if( $currency != 'IRR' && $currency != 'ریال'){
							$amount = $amount * 10;
						}
					
						if ($amount == $result->amount) {

							$payment_id = ModelPayment::newInstance()->saveLog(

								$data['concept'],
								$result->transId,
								$data['amount'] / 1000000000000,
								$currency,
								$data['email'],
								$data['user'],
								$data['itemid'],
								$product_type[0],
								'PAYIR'
							);

							if ($product_type[0] == '101') {

								ModelPayment::newInstance()->payPublishFee($product_type[2], $payment_id);

							} elseif ($product_type[0] == '201') {

								ModelPayment::newInstance()->payPremiumFee($product_type[2], $payment_id);
		
							} else {

								ModelPayment::newInstance()->addWallet($data['user'], $data['amount'] / 1000000000000);
							}

							$message = 'پرداخت با موفقیت انجام گرديد<br/>شماره رسيد پرداخت: ' . $result->transId;

						} else {

							$message = 'رقم تراكنش با رقم پرداخت شده مطابقت ندارد';
						}

					} else {

						$message = 'در حین تراکنش خطای نامشخصی رخ داده است';
					}

				} else {

					$message = 'در ارتباط با وب سرویس Pay.ir و بررسی تراکنش خطایی رخ داده است';
					$message = isset($result->errorMessage) ? $result->errorMessage : $message;
				}
			}
		 

	} else {

 		$message = $message ? $message : 'تراكنش با خطا مواجه شد و یا توسط پرداخت کننده کنسل شده است';
	}

} else {

	$message = 'اطلاعات ارسال شده مربوط به تایید تراکنش ناقص و یا غیر معتبر است';
}

osc_add_flash_error_message(__($message, 'payment'));
payment_js_redirect_to(osc_route_url('payment-user-menu'));























                /*




*/